Debian Bug report logs - #670105
libdrmaa-dev and slurm-drmaa-dev: error when trying to install together

version graph

Packages: libdrmaa-dev, slurm-drmaa-dev; Maintainer for libdrmaa-dev is Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>; Maintainer for slurm-drmaa-dev is Dominique Belhachemi <domibel@debian.org>; Source for slurm-drmaa-dev is src:slurm-drmaa.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sun, 22 Apr 2012 22:54:02 UTC

Severity: serious

Found in versions slurm-drmaa-dev/1.0.4-2, libdrmaa-dev/6.2u5-4

Fixed in versions pbs-drmaa/1.0.10-3, 1.0.10-3

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>, Dominique Belhachemi <domibel@debian.org>:
Bug#670105; Package libdrmaa-dev,slurm-drmaa-dev. (Sun, 22 Apr 2012 22:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>, Dominique Belhachemi <domibel@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

slurm-drmaa-dev/1.0.4-2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 22 Apr 2012 22:54:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdrmaa-dev and slurm-drmaa-dev: error when trying to install together
Date: Mon, 23 Apr 2012 00:51:42 +0200
[Message part 1 (text/plain, inline)]
Package: libdrmaa-dev,slurm-drmaa-dev
Version: slurm-drmaa-dev/1.0.4-2
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2012-04-23
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


  Selecting previously unselected package slurm-drmaa-dev.
  Unpacking slurm-drmaa-dev (from .../slurm-drmaa-dev_1.0.4-2_amd64.deb) ...
  dpkg: error processing /var/cache/apt/archives/slurm-drmaa-dev_1.0.4-2_amd64.deb (--unpack):
   trying to overwrite '/usr/include/drmaa.h', which is also in package libdrmaa-dev 6.2u5-4
  Errors were encountered while processing:
   /var/cache/apt/archives/slurm-drmaa-dev_1.0.4-2_amd64.deb


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  usr/include/drmaa.h
  usr/lib/libdrmaa.so

This bug is assigned to both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may
also register in the BTS that the other package is affected by the bug.

-Andreas

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.
[libdrmaa-dev=6.2u5-4_slurm-drmaa-dev=1.0.4-2.log.gz (application/x-gzip, attachment)]

Reply sent to Dominique Belhachemi <domibel@debian.org>:
You have taken responsibility. (Sun, 22 Apr 2012 23:36:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 22 Apr 2012 23:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 670105-close@bugs.debian.org (full text, mbox):

From: Dominique Belhachemi <domibel@debian.org>
To: 670105-close@bugs.debian.org
Subject: Bug#670105: fixed in pbs-drmaa 1.0.10-3
Date: Sun, 22 Apr 2012 23:32:58 +0000
Source: pbs-drmaa
Source-Version: 1.0.10-3

We believe that the bug you reported is fixed in the latest version of
pbs-drmaa, which is due to be installed in the Debian FTP archive:

pbs-drmaa-dev_1.0.10-3_i386.deb
  to main/p/pbs-drmaa/pbs-drmaa-dev_1.0.10-3_i386.deb
pbs-drmaa1_1.0.10-3_i386.deb
  to main/p/pbs-drmaa/pbs-drmaa1_1.0.10-3_i386.deb
pbs-drmaa_1.0.10-3.debian.tar.gz
  to main/p/pbs-drmaa/pbs-drmaa_1.0.10-3.debian.tar.gz
pbs-drmaa_1.0.10-3.dsc
  to main/p/pbs-drmaa/pbs-drmaa_1.0.10-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670105@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Belhachemi <domibel@debian.org> (supplier of updated pbs-drmaa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Apr 2012 18:26:02 -0400
Source: pbs-drmaa
Binary: pbs-drmaa-dev pbs-drmaa1
Architecture: source i386
Version: 1.0.10-3
Distribution: unstable
Urgency: low
Maintainer: Dominique Belhachemi <domibel@debian.org>
Changed-By: Dominique Belhachemi <domibel@debian.org>
Description: 
 pbs-drmaa-dev - DRMAA for Torque/PBS Pro - devel
 pbs-drmaa1 - DRMAA for Torque/PBS Pro - runtime
Closes: 670105
Changes: 
 pbs-drmaa (1.0.10-3) unstable; urgency=low
 .
   * use Debian's alternative system (Closes: #670105)
     (update-alternatives --display libdrmaa.so)
Checksums-Sha1: 
 7cf5166f32aa662df4ca9c6c1d0525d4a99b175b 1330 pbs-drmaa_1.0.10-3.dsc
 b46ac18b1f72ca556beff43bd8cbc631fb295c19 2610 pbs-drmaa_1.0.10-3.debian.tar.gz
 2d2c79b328e760828a023922b3724e4ab9fb632a 9388 pbs-drmaa-dev_1.0.10-3_i386.deb
 543f2154b9983fe63fcc50319f65e4cc2df2d544 68012 pbs-drmaa1_1.0.10-3_i386.deb
Checksums-Sha256: 
 9175c3c8e92d9b8e7631e1992841f5926ae9290c91680e3bc1f25bc54ec85ed3 1330 pbs-drmaa_1.0.10-3.dsc
 dd939f39b081a6ab567518c9df40c2c23d7027b2cbfd557c2358f592facb7d88 2610 pbs-drmaa_1.0.10-3.debian.tar.gz
 a572c9dddb905847cee7e4f0764dd645f97bfc7345a952f2faa1670624415758 9388 pbs-drmaa-dev_1.0.10-3_i386.deb
 61db5f88817e20ccc3b2ae36ec4d70dd516466624caa384af124bf0c18ae0146 68012 pbs-drmaa1_1.0.10-3_i386.deb
Files: 
 1a13b90906c77fa320e80c9d41285393 1330 libs optional pbs-drmaa_1.0.10-3.dsc
 e42e6ee76cf87900b708c9ed3f6aafc2 2610 libs optional pbs-drmaa_1.0.10-3.debian.tar.gz
 22529fb56dcbc90c6570ea7ba4b88cca 9388 libdevel optional pbs-drmaa-dev_1.0.10-3_i386.deb
 67b6f6710f06e1305e3e14a70a483b13 68012 libs optional pbs-drmaa1_1.0.10-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+Ukb4ACgkQGACh+LNRqQCO6QCfVJcwfKVnB+7jX8md3e6cjl5e
WhkAn3zmO8B6bthNiErQ6AnuGaMbmJOQ
=gEAs
-----END PGP SIGNATURE-----





Marked as found in versions libdrmaa-dev/6.2u5-4 and reopened. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:45:11 GMT) Full text and rfc822 format available.

Marked as found in versions slurm-drmaa-dev/1.0.4-2. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:45:11 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1.0.10-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 09:42:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 09:42:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 23 Apr 2012 09:42:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 May 2012 07:32:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:51:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.